Iot Dps Resource - Create Or Update

Create or update the metadata of the provisioning service. The usual pattern to modify a property is to retrieve the provisioning service metadata and security metadata, and then combine them with the modified values in a new body to update the provisioning service.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}?api-version=2026-08-31

URI Parameters

Name In Required Type Description
provisioningServiceName
path True

string

Name of the provisioning service to retrieve.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
location True

string

The geo-location where the resource lives

properties True

IotDpsPropertiesDescription

Service specific properties for a provisioning service

sku True

IotDpsSkuInfo

Sku info for a provisioning Service.

etag

string

The Etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal ETag convention.

identity

ManagedServiceIdentity

The managed service identities assigned to this resource.

resourcegroup

string

The resource group of the resource.

subscriptionid

string

The subscription id of the resource.

tags

object

Resource tags.

Responses

Name Type Description
200 OK

ProvisioningServiceDescription

Resource 'ProvisioningServiceDescription' update operation succeeded

201 Created

ProvisioningServiceDescription

Resource 'ProvisioningServiceDescription' create operation succeeded

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorDetails

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

DPSCreate
DPSCreate_DisableLocalAuthFalse
DPSCreate_DisableLocalAuthTrue
DPSCreateWithIotHub
DPSCreateWithNamespace
DPSUpdate
DPSUpdate_DisableLocalAuth

DPSCreate

Sample request

PUT https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/provisioningServices/myFirstProvisioningService?api-version=2026-08-31

{
  "location": "East US",
  "properties": {
    "enableDataResidency": false
  },
  "sku": {
    "name": "S1",
    "capacity": 1
  },
  "tags": {}
}

Sample response

{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups//providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "enableDataResidency": false,
    "idScope": "0ne00000012",
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active"
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {}
}
{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups//providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "enableDataResidency": false,
    "idScope": "0ne00000012",
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active"
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {}
}

DPSCreate_DisableLocalAuthFalse

Sample request

PUT https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/provisioningServices/myFirstProvisioningService?api-version=2026-08-31

{
  "location": "East US",
  "properties": {
    "publicNetworkAccess": "Enabled",
    "disableLocalAuth": false
  },
  "sku": {
    "name": "S1",
    "capacity": 1
  },
  "tags": {
    "key1": "value1"
  }
}

Sample response

{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "idScope": "0ne00000012",
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active",
    "disableLocalAuth": false
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {
    "key1": "value1"
  }
}
{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "idScope": "0ne00000012",
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active",
    "disableLocalAuth": false
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {
    "key1": "value1"
  }
}

DPSCreate_DisableLocalAuthTrue

Sample request

PUT https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/provisioningServices/myFirstProvisioningService?api-version=2026-08-31

{
  "location": "East US",
  "properties": {
    "publicNetworkAccess": "Enabled",
    "disableLocalAuth": true
  },
  "sku": {
    "name": "S1",
    "capacity": 1
  },
  "tags": {
    "key1": "value1",
    "key2": "value2"
  }
}

Sample response

{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "idScope": "0ne00000012",
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active",
    "disableLocalAuth": true
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {
    "key1": "value1",
    "key2": "value2"
  }
}
{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "idScope": "0ne00000012",
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active",
    "disableLocalAuth": true
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {
    "key1": "value1",
    "key2": "value2"
  }
}

DPSCreateWithIotHub

Sample request

PUT https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/provisioningServices/myFirstProvisioningService?api-version=2026-08-31

{
  "location": "East US",
  "properties": {
    "enableDataResidency": false,
    "iotHubs": [
      {
        "applyAllocationPolicy": true,
        "allocationWeight": 1,
        "hostName": "myFirstIoTHub.azure-devices.net",
        "authenticationType": "UserAssigned",
        "selectedUserAssignedIdentityResourceId": "/subscriptions/abcf2d55-764f-419f-974d-f77a55c2ce55/resourcegroups/my-rg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/my-mi-1",
        "location": "eastus"
      }
    ]
  },
  "sku": {
    "name": "S1",
    "capacity": 1
  },
  "identity": {
    "type": "SystemAssigned, UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/abcf2d55-764f-419f-974d-f77a55c2ce55/resourcegroups/my-rg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/my-mi-1": {}
    }
  },
  "tags": {}
}

Sample response

{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "enableDataResidency": false,
    "idScope": "0ne00000012",
    "iotHubs": [
      {
        "applyAllocationPolicy": true,
        "allocationWeight": 1,
        "name": "myFirstIoTHub.azure-devices.net",
        "hostName": "myFirstIoTHub.azure-devices.net",
        "authenticationType": "UserAssigned",
        "selectedUserAssignedIdentityResourceId": "/subscriptions/abcf2d55-764f-419f-974d-f77a55c2ce55/resourcegroups/my-rg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/my-mi-1",
        "location": "eastus"
      }
    ],
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active"
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "identity": {
    "type": "SystemAssigned, UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/abcf2d55-764f-419f-974d-f77a55c2ce55/resourcegroups/my-rg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/my-mi-1": {}
    }
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {}
}
{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "enableDataResidency": false,
    "idScope": "0ne00000012",
    "iotHubs": [
      {
        "applyAllocationPolicy": true,
        "allocationWeight": 1,
        "name": "myFirstIoTHub.azure-devices.net",
        "hostName": "myFirstIoTHub.azure-devices.net",
        "authenticationType": "UserAssigned",
        "selectedUserAssignedIdentityResourceId": "/subscriptions/abcf2d55-764f-419f-974d-f77a55c2ce55/resourcegroups/my-rg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/my-mi-1",
        "location": "eastus"
      }
    ],
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active"
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "identity": {
    "type": "SystemAssigned, UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/abcf2d55-764f-419f-974d-f77a55c2ce55/resourcegroups/my-rg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/my-mi-1": {}
    }
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {}
}

DPSCreateWithNamespace

Sample request

PUT https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/provisioningServices/myFirstProvisioningService?api-version=2026-08-31

{
  "location": "East US",
  "properties": {
    "enableDataResidency": false
  },
  "sku": {
    "name": "S1",
    "capacity": 1
  },
  "tags": {}
}

Sample response

{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups//providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "enableDataResidency": false,
    "idScope": "0ne00000012",
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active"
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "identity": {
    "type": "SystemAssigned, UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/abcf2d55-764f-419f-974d-f77a55c2ce55/resourcegroups/my-rg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/my-mi-1": {},
      "/subscriptions/abcf2d55-764f-419f-974d-f77a55c2ce55/resourcegroups/my-rg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/my-mi-2": {}
    }
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {}
}
{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups//providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "enableDataResidency": false,
    "idScope": "0ne00000012",
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active"
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "identity": {
    "type": "SystemAssigned, UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/abcf2d55-764f-419f-974d-f77a55c2ce55/resourcegroups/my-rg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/my-mi-1": {},
      "/subscriptions/abcf2d55-764f-419f-974d-f77a55c2ce55/resourcegroups/my-rg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/my-mi-2": {}
    }
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {}
}

DPSUpdate

Sample request

PUT https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/provisioningServices/myFirstProvisioningService?api-version=2026-08-31

{
  "identity": {
    "type": "SystemAssigned,UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourcegroups/testrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testidentity": {}
    }
  },
  "location": "East US",
  "properties": {
    "enableDataResidency": false
  },
  "sku": {
    "name": "S1",
    "capacity": 1
  },
  "tags": {}
}

Sample response

{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups//providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "identity": {
    "type": "SystemAssigned,UserAssigned",
    "principalId": "aa80bd74-a3f0-4f14-b9da-99c5351cf9d5",
    "tenantId": "f686d426-8d16-42db-81b7-ab578e110ccd",
    "userAssignedIdentities": {
      "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourcegroups/testrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testidentity": {
        "clientId": "c38f618d-47f6-4260-8b3d-1dd8c130f323",
        "principalId": "f1b0b133-10dc-4985-966f-a98a04675fe9"
      }
    }
  },
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "enableDataResidency": false,
    "idScope": "0ne00000012",
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active"
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {}
}
{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups//providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "identity": {
    "type": "SystemAssigned,UserAssigned",
    "principalId": "aa80bd74-a3f0-4f14-b9da-99c5351cf9d5",
    "tenantId": "f686d426-8d16-42db-81b7-ab578e110ccd",
    "userAssignedIdentities": {
      "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourcegroups/testrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testidentity": {
        "clientId": "c38f618d-47f6-4260-8b3d-1dd8c130f323",
        "principalId": "f1b0b133-10dc-4985-966f-a98a04675fe9"
      }
    }
  },
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "enableDataResidency": false,
    "idScope": "0ne00000012",
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active"
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {}
}

DPSUpdate_DisableLocalAuth

Sample request

PUT https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/provisioningServices/myFirstProvisioningService?api-version=2026-08-31

{
  "location": "East US",
  "properties": {
    "disableLocalAuth": true
  },
  "sku": {
    "name": "S1",
    "capacity": 1
  },
  "tags": {}
}

Sample response

{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "idScope": "0ne00000012",
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active",
    "disableLocalAuth": true
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {}
}
{
  "name": "myFirstProvisioningService",
  "type": "Microsoft.Devices/ProvisioningServices",
  "etag": "AAAAAAAADGk=",
  "id": "/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/ProvisioningServices/myFirstProvisioningService",
  "location": "eastus",
  "properties": {
    "allocationPolicy": "Hashed",
    "authorizationPolicies": [],
    "deviceProvisioningHostName": "global.azure-devices-provisioning.net",
    "idScope": "0ne00000012",
    "portalOperationsHostName": "myFirstProvisioningService.services.azure-devices-provisioning.net",
    "serviceOperationsHostName": "myFirstProvisioningService.azure-devices-provisioning.net",
    "state": "Active",
    "disableLocalAuth": true
  },
  "resourcegroup": "myResourceGroup",
  "sku": {
    "name": "S1",
    "capacity": 1,
    "tier": "Standard"
  },
  "subscriptionid": "91d12660-3dec-467a-be2a-213b5544ddc0",
  "tags": {}
}

Definitions

Name Description
AccessRightsDescription

Rights that this key has.

AllocationPolicy

Allocation policy to be used by this provisioning service.

createdByType

The type of identity that created the resource.

ErrorDetails

Error details.

IotDpsPropertiesDescription

the service specific properties of a provisioning service, including keys, linked iot hubs, current state, and system generated properties such as hostname and idScope

IotDpsSku

Sku name.

IotDpsSkuInfo

List of possible provisioning service SKUs.

IotHubAuthenticationType

IotHub MI authentication type: KeyBased, UserAssigned, SystemAssigned.

IotHubDefinitionDescription

Description of the IoT hub.

IpFilterActionType

The desired action for requests captured by this rule.

IpFilterRule

The IP filter rules for a provisioning Service.

IpFilterTargetType

Target for requests captured by this rule.

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

PrivateEndpoint

The private endpoint property of a private endpoint connection

PrivateEndpointConnection

The private endpoint connection of a provisioning service

PrivateEndpointConnectionProperties

The properties of a private endpoint connection

PrivateLinkServiceConnectionState

The current state of a private endpoint connection

PrivateLinkServiceConnectionStatus

The status of a private endpoint connection

ProvisioningServiceDescription

The description of the provisioning service.

PublicNetworkAccess

Whether requests from Public Network are allowed

SharedAccessSignatureAuthorizationRuleAccessRightsDescription

Description of the shared access key.

State

Current state of the provisioning service.

systemData

Metadata pertaining to creation and last modification of the resource.

UserAssignedIdentity

User assigned identity properties

AccessRightsDescription

Rights that this key has.

Value Description
ServiceConfig
EnrollmentRead
EnrollmentWrite
DeviceConnect
RegistrationStatusRead
RegistrationStatusWrite

AllocationPolicy

Allocation policy to be used by this provisioning service.

Value Description
Hashed
GeoLatency
Static

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorDetails

Error details.

Name Type Description
code

integer (int32)

The error code.

details

string

The error details.

httpStatusCode

string

The HTTP status code.

message

string

The error message.

IotDpsPropertiesDescription

the service specific properties of a provisioning service, including keys, linked iot hubs, current state, and system generated properties such as hostname and idScope

Name Type Default value Description
allocationPolicy

AllocationPolicy

Allocation policy to be used by this provisioning service.

authorizationPolicies

SharedAccessSignatureAuthorizationRuleAccessRightsDescription[]

List of authorization keys for a provisioning service.

deviceProvisioningHostName

string

Device endpoint for this provisioning service.

disableLocalAuth

boolean

False

Disables all authentication methods other than Azure RBAC.

enableDataResidency

boolean

Optional. Indicates if the DPS instance has Data Residency enabled, removing the cross geo-pair disaster recovery.

idScope

string

Unique identifier of this provisioning service.

iotHubs

IotHubDefinitionDescription[]

List of IoT hubs associated with this provisioning service.

ipFilterRules

IpFilterRule[]

The IP filter rules.

portalOperationsHostName

string

Portal endpoint to enable CORS for this provisioning service.

privateEndpointConnections

PrivateEndpointConnection[]

Private endpoint connections created on this IotHub

provisioningState

string

The ARM provisioning state of the provisioning service.

publicNetworkAccess

PublicNetworkAccess

Whether requests from Public Network are allowed

serviceOperationsHostName

string

Service endpoint for provisioning service.

state

State

Current state of the provisioning service.

IotDpsSku

Sku name.

Value Description
S1

IotDpsSkuInfo

List of possible provisioning service SKUs.

Name Type Description
capacity

integer (int64)

The number of units to provision

name

IotDpsSku

Sku name.

tier

string

Pricing tier name of the provisioning service.

IotHubAuthenticationType

IotHub MI authentication type: KeyBased, UserAssigned, SystemAssigned.

Value Description
KeyBased

Key Based authentication type.

UserAssigned

User assigned authentication type.

SystemAssigned

System assigned authentication type.

IotHubDefinitionDescription

Description of the IoT hub.

Name Type Description
allocationWeight

integer (int32)

weight to apply for a given iot h.

applyAllocationPolicy

boolean

flag for applying allocationPolicy or not for a given iot hub.

authenticationType

IotHubAuthenticationType

IotHub MI authentication type: KeyBased, UserAssigned, SystemAssigned.

connectionString

string

Connection string of the IoT hub. This is required when authenticationType is KeyBased.

hostName

string

Host name of the IoT hub. This is required when connectionString is not provided.

location

string

ARM region of the IoT hub.

name

string

Host name of the IoT hub.

selectedUserAssignedIdentityResourceId

string (arm-id)

The selected user-assigned identity resource Id associated with IoT hub. This is required when authenticationType is UserAssigned.

IpFilterActionType

The desired action for requests captured by this rule.

Value Description
Accept
Reject

IpFilterRule

The IP filter rules for a provisioning Service.

Name Type Description
action

IpFilterActionType

The desired action for requests captured by this rule.

filterName

string

The name of the IP filter rule.

ipMask

string

A string that contains the IP address range in CIDR notation for the rule.

target

IpFilterTargetType

Target for requests captured by this rule.

IpFilterTargetType

Target for requests captured by this rule.

Value Description
all
serviceApi
deviceApi

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

Name Type Description
principalId

string (uuid)

The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string (uuid)

The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.

type

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned Identities
The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

Value Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

PrivateEndpoint

The private endpoint property of a private endpoint connection

Name Type Description
id

string

The resource identifier.

PrivateEndpointConnection

The private endpoint connection of a provisioning service

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties

PrivateEndpointConnectionProperties

The properties of a private endpoint connection

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

PrivateEndpointConnectionProperties

The properties of a private endpoint connection

Name Type Description
privateEndpoint

PrivateEndpoint

The private endpoint property of a private endpoint connection

privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

The current state of a private endpoint connection

PrivateLinkServiceConnectionState

The current state of a private endpoint connection

Name Type Description
actionsRequired

string

Actions required for a private endpoint connection

description

string

The description for the current state of a private endpoint connection

status

PrivateLinkServiceConnectionStatus

The status of a private endpoint connection

PrivateLinkServiceConnectionStatus

The status of a private endpoint connection

Value Description
Pending
Approved
Rejected
Disconnected

ProvisioningServiceDescription

The description of the provisioning service.

Name Type Description
etag

string

The Etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal ETag convention.

id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

identity

ManagedServiceIdentity

The managed service identities assigned to this resource.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

IotDpsPropertiesDescription

Service specific properties for a provisioning service

resourcegroup

string

The resource group of the resource.

sku

IotDpsSkuInfo

Sku info for a provisioning Service.

subscriptionid

string

The subscription id of the resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

PublicNetworkAccess

Whether requests from Public Network are allowed

Value Description
Enabled
Disabled

SharedAccessSignatureAuthorizationRuleAccessRightsDescription

Description of the shared access key.

Name Type Description
keyName

string

Name of the key.

primaryKey

string

Primary SAS key value.

rights

AccessRightsDescription

Rights that this key has.

secondaryKey

string

Secondary SAS key value.

State

Current state of the provisioning service.

Value Description
Activating
Active
Deleting
Deleted
ActivationFailed
DeletionFailed
Transitioning
Suspending
Suspended
Resuming
FailingOver
FailoverFailed

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UserAssignedIdentity

User assigned identity properties

Name Type Description
clientId

string (uuid)

The client ID of the assigned identity.

principalId

string (uuid)

The principal ID of the assigned identity.